Bug 143355 - gpilotd connects to PDA, then hangs
gpilotd connects to PDA, then hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 16:50 EST by Mace Moneta
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 11:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of gpilotd. It hangs at the last write until killed. (149.50 KB, text/plain)
2004-12-19 16:51 EST, Mace Moneta
no flags Details

  None (edit)
Description Mace Moneta 2004-12-19 16:50:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
gpilot successfully connects to my PDA (Handspring Visor), but then
hangs after some data transfer.  Same behavior observed with jpilot. 
I've seen reports of kernel issues with USB (running
kernel-2.6.9-1.681_FC3) but I wasn't sure which component to report
this under.  This operation worked successfully, reliably, under FC2
on the same machine.



Version-Release number of selected component (if applicable):
gnome-pilot-2.0.12-4

How reproducible:
Always

Steps to Reproduce:
1.Press sync button on PDA
2.
3.
    

Actual Results:  
gpilotd-Message: gnome-pilot 2.0.12 starting...
gpilotd-Message: compiled for pilot-link version 0.11.8
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network] 
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/pilot)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=57600
gpilotd-Message: Cradle Cradle has 0 events
gpilotd-Message: Instantiating 3 conduits...
** Message: time_file: creating time conduit
gpilotd-Message: Instantiated 1 backup conduits, 1 file conduits, 1
other condui
ts
gpilotd-Message: HotSync button pressed, synchronizing pilot
gpilotd-Message: Pilot ID is 29195, name is MyPilot, owner is Barbara
Moneta
gpilotd-Message: Pilot has 0 entries in restore queue
gpilotd-Message: Pilot has 0 entries in conduit queue
gpilotd-Message: Pilot has 0 entries in file install queue

<hang>

PDA timeout occurs, must manually kill gpilotd.

Expected Results:  Successful sync

Additional info:

Udev setup:

# cat /etc/udev/rules.d/10-mace.rules 
BUS="usb", SYSFS{product}="Handspring Visor", NAME="visor%e"

# cat /etc/udev/permissions.d/10-mace.permissions 
visor*:root:uucp:0777

# grep pilot /etc/rc.d/rc.local
/bin/ln -s /dev/visor1 /dev/pilot

/var/log/messages:
Dec 19 16:19:33 mmouse kernel: ohci_hcd 0000:00:0d.0: wakeup
Dec 19 16:19:33 mmouse kernel: usb 6-1: new full speed USB device
using address 10
Dec 19 16:19:33 mmouse kernel: usb 6-1: Handspring Visor / Palm OS:
port 1, is for Generic use
Dec 19 16:19:33 mmouse kernel: usb 6-1: Handspring Visor / Palm OS:
port 2, is for HotSync use
Dec 19 16:19:33 mmouse kernel: usb 6-1: Handspring Visor / Palm OS:
Number of ports: 2
Dec 19 16:19:33 mmouse kernel: visor 6-1:1.0: Handspring Visor / Palm
OS converter detected
Dec 19 16:19:33 mmouse kernel: usb 6-1: Handspring Visor / Palm OS
converter now attached to ttyUSB4
Dec 19 16:19:33 mmouse kernel: usb 6-1: Handspring Visor / Palm OS
converter now attached to ttyUSB5
Dec 19 16:20:30 mmouse kernel: usb 6-1: USB disconnect, address 10
Dec 19 16:20:30 mmouse kernel: visor 6-1:1.0: device disconnected
Dec 19 16:29:12 mmouse kernel: visor ttyUSB4: Handspring Visor / Palm
OS converter now disconnected from ttyUSB4
Dec 19 16:29:12 mmouse kernel: visor ttyUSB5: Handspring Visor / Palm
OS converter now disconnected from ttyUSB5

When hotsync is started, the following devices exist:
lrwxrwxrwx  1 root root     11 Dec 19 15:28 /dev/pilot -> /dev/visor1
crwxrwxrwx  1 root uucp 188, 4 Dec 19 16:36 /dev/visor
crwxrwxrwx  1 root uucp 188, 5 Dec 19 16:36 /dev/visor1

Note: tried setting SELinux to permissive from enforcing, just in case
that was causing a problem.  No change.
Comment 1 Mace Moneta 2004-12-19 16:51:39 EST
Created attachment 108862 [details]
strace of gpilotd.  It hangs at the last write until killed.
Comment 2 Paul Munn 2004-12-22 12:59:25 EST
I see this when sync'ing with pilot-xfer.  I have pilot-xfer do a list
on the handheld, it reaches memodb, then suddenly it breaks the
connection in mid-sync and reports it was broken.
Comment 3 Paul Munn 2005-01-05 08:08:46 EST
Fixed in the kernel released yesterday: kernel-2.6.9-1.724_FC3.
Comment 4 Mace Moneta 2005-01-05 10:43:08 EST
Unfortunately, that kernel has other issues (bug 144050) so I can't
confirm.
Comment 5 Mace Moneta 2005-01-12 11:09:22 EST
Confirming that the problem has been resolved in the current kernel. 
Closing.

Note You need to log in before you can comment on or make changes to this bug.